Pause Playbook
Pause an active playbook, suspending automated runs.
POST
/
v1
/
playbooks
/
{playbook_id}
/
pause
Pause Playbook
curl --request POST \
--url https://api.topo.io/v1/playbooks/{playbook_id}/pause \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"playbook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previous_status": "DRAFT",
"new_status": "DRAFT"
}Pause an active playbook, suspending automated runs.
Requires the
sequences:write scope on the API key.Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the playbook.
Response
200 - application/json
Successful Response
Was this page helpful?
⌘I
Pause Playbook
curl --request POST \
--url https://api.topo.io/v1/playbooks/{playbook_id}/pause \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"playbook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previous_status": "DRAFT",
"new_status": "DRAFT"
}